> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payments for a transaction

> Returns a list of payments associated with the specified transaction.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/network/payments
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/network/payments:
    get:
      tags:
        - Network Information
      summary: Get payments for a transaction
      description: Returns a list of payments associated with the specified transaction.
      operationId: getAddressPayments
      parameters:
        - name: network
          required: true
          in: query
          description: Network of transaction
          schema:
            type: string
        - name: hash
          required: true
          in: query
          description: Txn Hash
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Number of items to return
          schema:
            default: 50
            type: number
        - name: offset
          required: false
          in: query
          description: Number of items to skip
          schema:
            default: 0
            type: number
      responses:
        '200':
          description: Payments associated with a specific transaction.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentsInfo'
components:
  schemas:
    PaymentsInfo:
      type: object
      properties:
        total:
          type: number
        payments:
          type: array
          items:
            $ref: '#/components/schemas/Payment'
      required:
        - total
        - payments
    Payment:
      type: object
      properties:
        id:
          type: string
        time:
          type: string
        denom:
          type: string
        amount:
          type: string
        sender_tx_hash:
          type: string
        sender_entity:
          type: string
        sender_height:
          type: string
        sender_network:
          type: string
        sender_address_id:
          type: string
        sender_address_details:
          $ref: '#/components/schemas/AddressDetails'
        receiver_address_details:
          $ref: '#/components/schemas/AddressDetails'
      required:
        - id
        - time
        - denom
        - amount
        - sender_tx_hash
        - sender_entity
        - sender_height
        - sender_network
        - sender_address_id
    AddressDetails:
      type: object
      properties:
        address:
          type: string
        network:
          type: string
        ecosystem:
          type: string
        name_tag:
          type: string
        category:
          type: string
        address_role:
          type: string
        entity:
          type: string
        attributes:
          type: object
        tags:
          type: array
          items:
            type: string
        entity_icon_url:
          type: string
        malicious:
          type: boolean
        is_validator:
          type: boolean
      required:
        - address
        - network
        - ecosystem
        - malicious
        - is_validator
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````